<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
$Id: settings.php,v 1.0 2006/03/31 16:47:20
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/
 
 if (!defined('CPO')){
 	exit;
	 } 

 class form {
 	
	var $tbl_template;
	var $area_template;

 	//anything to initialize?
	function form ($template=NULL) {
 		$this->tbl_template = $template;
	} 

	//set template
	function setTemplate ($template) {
 		$this->tbl_template = $template;
	} 

	//parse row-template
	function parseTemplate ($description,$element,$helpvalues) {
		$element = str_replace('<!-- ELEMENT -->', $element, $this->tbl_template);
		$element = str_replace('<!-- DESCRIPTION -->', $description, $element);
		$element = str_replace('<!-- HELP -->', help($helpvalues[0],$helpvalues[1]),$element);
		return $element; 
	} 

	//Checkbox	
	function setCheckbox($description,$label,$name,$checked=0,$value=1,$id=NULL,$tpl=0,$helpvalues='') {
  		if ($checked==1) {
  	 	   $checked = 'checked';
  		   } else {
  	 	   	 $checked = NULL;
  	 	   	 }

		//Id/for
  		if ($id!=NULL) {
		   $for = 'for="'.$id.'"';
		   $id = 'id="'.$id.'"';
		  }

		//Element	 
 		$element  = '<input class="checkbox" type="checkbox" name="'.$name.'" value="'.$value.'" '.$checked.' '.$id.' border="0"> ';
	 	$element .= '<label '.$for.'>'.$label.'</label>';
		//Element with template	 
		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
 	}

	//Optionsfield
	function setOptionsfield($description,$name,$value,$valueset,$id=NULL,$tpl=0,$helpvalues='') {
		//Id/for
  		if ($id!=NULL) {
		   $for = 'for="'.$id.'"';
		   $id = 'id="'.$id.'"';
		  }
		$break = NULL;
		//Elemente	 
		foreach ($valueset as $key=>$val) {	
				$element .=  $break.'<input type="radio" name="'.$name.'" value="'.$key.'"> ';
	 			$element .= '<label '.$for.'>'.$val.'</label>';

	 			$break = '<br />';
			   	}

        //Set selected option
		$element = str_replace('name="'.$name.'" value="'.$value.'">',
				   'name="'.$name.'" value="'.$value.'" checked>', $element);

		//Element with template	 
		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
 	}

	//Textfield
	function setText($description,$name,$value=NULL,$tpl=0,$helpvalues='') {
		//Element	 
		$element = '<input class="text inputwidth" type="text" name="'.$name.'" value="'.$value.'" size="5" maxlength="255" border="0">';
		//Element with template	 
 		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
	}

	//Textarea
	function setTextarea($description,$name,$value=NULL,$rowsize=10,$colsize=73,$tpl=0,$helpvalues='') {
		//Element	 
		$element = '<textarea class="textarea inputwidth" name="'.$name.'" rows="'.$rowsize.'" cols="'.$colsize.'">'.$value.'</textarea>';
		//Element with template	 
 		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
	}

	//Selectfield
	function setSelect($description,$name,$value,$valueset,$tpl=0,$helpvalues='') {
		//Element
		$element = '<select name="'.$name.'" size="1">';
		foreach ($valueset as $key=>$val) {	
  				$element .= '<option value="'.$key.'">'.$val.'</option>';
			   	}
		$element .= '</select>';
        //Set selected option
		$element = str_replace('<option value="'.$value.'">',
				   '<option selected value="'.$value.'">', $element);
		//Element with template	 
 		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
	}

	//Multi Selectfield
	function setMultiselect($description,$name,$value,$valueset,$tpl=0,$helpvalues='') {
		//Element
		$element = '<select name="'.$name.'" size="4" multiple>';
		foreach ($valueset as $key=>$val) {	
  				if ($value[$key]) {
				   $selected = 'selected';
				   } else {
				   	 $selected = NULL;
				   }
  				$element .= '<option '.$selected .' value="'.$key.'">'.$val.'</option>';
			   	}
		$element .= '</select>';
		//Element with template	 
 		if ($tpl==1) {
		   $element = $this->parseTemplate($description, $element, $helpvalues);
 	 	   }
		return $element;
	}

	//Button
	function setButton($name,$value,$tpl=0) {
     	$element = '<input class="i" type="submit" name="'.$name.'" value="'.$value.'" border="0">';
		return $element;
	}

	//Verify checkbox
	function verifyCheckbox($value=0) {
		if ($value!=0){
		   $data = '1';
		   } else {
		   	 $data = '0';
		   }
		return $data;
	}

	//Verify optionfield
	function verifyOptionfield($value='',$alternativevalue=NULL) {
		if ($value=='') {
		   $value = $alternativevalue;
		   } 
		if (is_numeric($value)){
		   $data = $value;
		   } else {
		   	 $data = 0;
		   }
		return $data;
	}

	//Verify selectfield
	function verifySelectfield($value='',$alternativevalue=NULL) {
		if ($value=='') {
		   $value = $alternativevalue;
		   } 
       if (is_array($value)) {
	   	  //Value array
       	  foreach ($value as $selectedvalue){
	           	  $arrData[$selectedvalue] = $selectedvalue;
			   }
		  $data = serialize ($arrData);
		  } else { 
	   	  	//Single value
		  	$data = $value; 
		  	}
		return $data;
	}

	//Verify textfield & textarea
	function verifyTextfield($value='',$alternativevalue=NULL, $isnumeric=0) {
		if ($value=='') {
		   $value = $alternativevalue;
		   } 
		switch ($isnumeric){
		   case 1:
		   	 //Numeric value	
		   	 if (is_numeric($value)) {
				$data = $value;
				} else {
		   	 	  //Numeric alternativevalue	
		   	 	  if (is_numeric($alternativevalue)) {
				  	 $data = $alternativevalue;
					 } else {
				  	   $data = 0;
				  	 }
				}
		   break;
		   default:
			 $data = $value;
		   break;
		}
		return $data;
	}

	//set area template
	function setAreaTemplate($template) {
			 $this->area_template = $template;
	}

	//parse area template
	function parseAreaTemplate ($values,$helpvalues) {
		$area = $this->area_template;
   		foreach($values as $valKey=>$valValue) {
		   	   $area = str_replace('<!-- '.strtoupper($valKey).' -->', $valValue, $area);
		}	 
		$area = str_replace('<!-- HELP -->', help($helpvalues[0],$helpvalues[1]),$area);
		return $area; 
	} 

	function showArea($values,$helpvalues='') {
			 return $this->parseAreaTemplate($values,$helpvalues);
	}

	function hideArea($values,$helpvalues='') {
			 return $this->parseAreaTemplate($values,$helpvalues);
	}

} //End class
?>
