<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
$Id: settings.php,v 1.0 2006/03/31 16:47:20
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

class rss {

   var $time;  	  
   var $rss_open;
   var $rss_title;
   var $rss_link;
   var $rss_description;
   var $rss_language;
   var $rss_copyright;
   var $rss_editor;
   var $rss_webmaster;
   var $rss_pubdate;
   var $rss_builddate;
   var $rss_generator;
   var $rss_docs;
   var $rss_image;
   var $rss_data;
   var $rss_nodata;
   var $rss_close;
   
   function rss() {
    //Anything to initialize?
   	$this->time = time();
   }

   //Open RSS
   function openRss($rss_version='2.0', $xml_version='1.0', $encoding='iso-8859-1') {
   	$this->rss_open  = '<'.chr(63).'xml version="'.$xml_version.'" encoding="'.$encoding.'" '.chr(63).'>'; 
   	$this->rss_open .= '<rss version="'.$rss_version.'">'; 
   	$this->rss_open .= '<channel>'; 
   }

   //Feed-Title (required channel element)
   function setTitle($title='Title RSS-Feed') {
	$this->rss_title = '<title>'.$title.'</title>'; 
   }

   //Homepage-Url (required channel element)
   function setLink($url='http://www.example.com') {
	$this->rss_link = '<link>'.$url.'</link>'; 
   }

   //Feed-Description (required channel element)
   function setDescription($description='Description RSS-Feed') {
	$this->rss_description = '<description>'.$description.'</description>'; 
   }

   //Feed-Language (optional channel element)
   function setLanguage($language=NULL) {
    if ($language=='') { 
	   $this->rss_language = NULL; 
	   } else {
	  	 $this->rss_language = '<language>'.$language.'</language>'; 
	  	 }
   }

   //Feed-Copyright (optional channel element)
   function setCopyright($copyright=NULL) {
    if ($copyright=='') { 
	   $this->rss_copyright = NULL; 
	   } else {
	  	 $this->rss_copyright = '<copyright>'.$copyright.'</copyright>'; 
	  	 }
   }

   //Feed-Editor (optional channel element)
   function setEditor($mail=NULL) {
    if ($mail=='') { 
	   $this->rss_editor = NULL; 
	   } else {
	  	 $this->rss_editor = '<managingEditor>'.$mail.'</managingEditor>'; 
	  	 }
   }

   //Webmaster (optional channel element)
   function setWebmaster($mail=NULL) {
    if ($mail=='') { 
	   $this->rss_webmaster = NULL; 
	   } else {
	  	 $this->rss_webmaster = '<webMaster>'.$mail.'</webMaster>'; 
	  	 }
   }

   //Feed-Publicationdate (optional channel element)
   function setPubDate($date=NULL,$format='r') {
    if ($date=='') { 
	   $this->rss_pubdate = NULL; 
	   } else {
	  	 $this->rss_pubdate = '<pubDate>'.date($format, $date).'</pubDate>'; 
	  	 }	
   }

   //Feed-Builddate (optional channel element)
   function setBuildDate($date=NULL,$format='r') {
    if ($date=='') { 
	   $this->rss_builddate = NULL; 
	   } else {
	  	 $this->rss_builddate = '<lastBuildDate>'.date($format, $date).'</lastBuildDate>'; 
	  	 }	
   }

   //Feed-Generator (optional channel element)
   function setGenerator($generator=NULL) {
    if ($generator=='') { 
	   $this->rss_generator = NULL; 
	   } else {
	  	 $this->rss_generator = '<generator>'.$generator.'</generator>'; 
	  	 }	
   }
 
   //Feed-Docs (optional channel element)
   function setDocs($document=NULL) {
    if ($document=='') { 
	   $this->rss_docs = NULL; 
	   } else {
	  	 $this->rss_docs = '<docs>'.$document.'</docs>'; 
	  	 }	
   }

   //Feed-Image (optional channel element)
   function setImage($imgurl,$imgtitle='Image RSS-Feed',$imglink='http://www.example.com', $width='144', $height='400') {
    if ($imgurl=='') { 
	   $this->rss_image = NULL; 
	   } else {
	   	 $this->rss_image  = '<image>';
 	   	 $this->rss_image .= '<url>'.$imgurl.'</url>';
  	   	 $this->rss_image .= '<title>'.$imgtitle.'</title>';
  	   	 $this->rss_image .= '<link>'.$imglink.'</link>';
  	   	 $this->rss_image .= '<width>'.$width.'</width>';
  	   	 $this->rss_image .= '<height>'.$height.'</height>';
	   	 $this->rss_image .= '</image>';
	  	 }	
   }

   //Data-Item (<item></item> from template!)
   function setData($content) {
	$this->rss_data = $content;
   }

   //NoData-Item
   function setNoData($title='www.example.com',$link='http://www.example.com') {
	$this->rss_nodata  = '<item>';
    $this->rss_nodata .= '<title>'.$title.'</title>';
	$this->rss_nodata .= '<link>'.$link.'</link>';
    $this->rss_nodata .= '</item>';
   }

   //Close RSS
   function closeRss($version='0.92') {
   	$this->rss_close  = '</channel>'; 
   	$this->rss_close .= '</rss>'; 
   }

   //Filename RSS
   function getFileRss($filename,$directoryname) {
    if ($filename=='') {
	   $filename = 'rss_feed.xml';
	   }
	$filename = strtolower($filename);
    if (substr($filename, -4)!='.xml') {
  	   $filename = $filename.'.xml'; 
  	   }
    return '../'.$directoryname.'/'.$filename;
   }

  //Complete RSS-Feed
  function getRssFeed() {
   $rssfeed  = $this->rss_open;
   $rssfeed .= $this->rss_title;
   $rssfeed .= $this->rss_link;
   $rssfeed .= $this->rss_description;
   $rssfeed .= $this->rss_language;
   $rssfeed .= $this->rss_copyright;
   $rssfeed .= $this->rss_editor;
   $rssfeed .= $this->rss_webmaster;
   $rssfeed .= $this->rss_pubdate;
   $rssfeed .= $this->rss_builddate;

   $rssfeed .= $this->rss_generator;
   $rssfeed .= $this->rss_docs;

   $rssfeed .= $this->rss_image;

   $rssfeed .= $this->rss_data;
   $rssfeed .= $this->rss_nodata;
   $rssfeed .= $this->rss_close;
   return $rssfeed;  
  }

}
?>
