<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

  
  if (!defined('CPO')){
 	 exit;
  } 

  function clean_values($value,$valueType=0,$valuePreset=0) {
    switch ($valueType) {
      //String
      case 1:
        $value = strip_tags($value);
        break;
      //Integer
      default:
        if(!is_int($value)) {
          if($valuePreset==0){
            $value = (int)$value;
            } else {
              $value = (int)$valuePreset;
          }
        }
        break;
    }
    return $value;
  }

   function getConvertChars ($charstring) {
	 $arrChars = preg_split('//',$charstring,-1,PREG_SPLIT_NO_EMPTY);
	 foreach ($arrChars as $charKey=>$charValue) {	
	 		 //Ascii value
		 	 $asciiVal = ord($charValue);
			 switch ($asciiVal) {
			 	//Euro char
			 	case 128:
				  $convString .= '&#8364;';
				break;	
			 	//all other chars >126
			 	case 127:
			 	case ($asciiVal>128):
				  $convString .= '&#'.$asciiVal.';';
				break;
			 	//all chars <127
				default:
				  $convString .= $charValue;
				break;	
			 }
	 }
	 return $convString;
   }
 
  function getRubricSQL($arrChosenRubrics,$exclude=0){
  	switch ($exclude) {
	   case 1:
	   	 //Exclude
	   	 $relOperator = '!=';
	   	 $logOperator = ' AND ';
 	   break;
 	   default:
	   	 //Include
		 $relOperator = '=';
   		 $logOperator = ' OR ';
 	   break;
	}
	  
	//Generate SQL-string
	$sqlComb = "(";
 	foreach ($arrChosenRubrics as $rubricKey) {	
  			$sqlChosenRubrics .= $sqlComb."rubric_id ".$relOperator."'".$rubricKey."'";
  			$sqlComb = $logOperator;
	}
	$sqlChosenRubrics .= ") AND";
	
	return $sqlChosenRubrics;
  }

  function getDateLimit($datetime,$positionlimit,$datetosecond) {
  	//calculate difference
	 $diffOfDays = ($datetime - ($positionlimit * 86400));
	 
	 switch ($datetosecond) {
	 	//on second		
		case 1:
		  $dateLimit = mktime(date('H',$datetime),
		  			   		  date('i',$datetime),
			 				  date('s',$datetime),
		  					  date("m",$diffOfDays),
						   	  date("d",$diffOfDays),
							  date("Y",$diffOfDays));
		break;
		//on midnight
		default:
		  $dateLimit = mktime(0,0,0,
		  			   		  date("m",$diffOfDays),
		  					  date("d",$diffOfDays),
	   						  date("Y",$diffOfDays));
		break;
	 }
	 return date('Y-m-d H:i:s', $dateLimit);
  }

?>
