<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/

	#--- from: index.php, index_php.php, index_js.php ---

	if (!defined('CPO')) exit;


	require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/function.inc.php');
    if (!getLatestNewsLicense()) return;

  //Clean all incoming data
  $_GET['rubric'] = clean_values($_GET['rubric'],1);
  $_GET['profid'] = clean_values($_GET['profid']);
  $_GET['pos'] = clean_values($_GET['pos']);


  //Define sql-where
  if ($_GET['rubric'] && $cpoRubric['directory']==$directory) {
    //... for navigation
    $getRubric = '&rubric='.$cpoRubric['id'];
    $sqlWhere = 'rubric_alias='.$cpoRubric['id'];
    } else {
      if ($_GET['profid']) {
        $sqlWhere = 'profile_id='.$_GET['profid'];
	       } else {
          $sqlWhere = "profile_base='yes'";
 	    }
  }

	//Read profile
	$query_settings = "SELECT profile_id,settings FROM ".TBL_LATEST_NEWS." "
					 ."WHERE ".$sqlWhere.";";
      
	$db_settings = new DB;
   	$db_settings->query($query_settings);

 	//Read profile with the highest id
	if ($db_settings->num_rows()==0) {
	   $query_settings = "SELECT profile_id, settings FROM ".TBL_LATEST_NEWS." "
	   				    ."ORDER BY profile_id DESC;";	

   	   $db_settings->query($query_settings);
	}
	
	//There were no settings...!
    if ($db_settings->num_rows()==0) { 
	   if ($pagetype == 'index') {	   
	   	  #----- Header -----
		  include(CPO_BASEDIR.$directory.'/loadheaders.php');
		  echo '<p>Bad Admin: No profile, no data - no fun!</p>';	
	   	  #----- Footer -----
	   	  include(CPO_BASEDIR.$directory.'/loadfooters.php');
		  } else {
		  	echo '<p>Bad Admin: No profile, no data - no fun!</p>';	
	   }
	   exit;
	}

	//Read settings	   
	$db_settings->next_record();
	$arrSettings = unserialize($db_settings->v('settings'));

	//Actual date
	$actDateTime = time();
	$dateToday = date('Y-m-d H:i:s', $actDateTime);    
	
	$arrSort[0] = 'ASC';
	$arrSort[1] = 'DESC';
	
	$sqlSort = NULL;

  if (!empty($arrSettings['firstsortfield'])) {
    $sqlSort .= $arrSettings['firstsortfield'].' '.$arrSort[$arrSettings['firstsortdesc']].',';
    //Set groupfield
    $grpField = $arrSettings['firstsortfield'];
	}

	if (!empty($arrSettings['secondsortfield'])) {
	   $sqlSort .= $arrSettings['secondsortfield'].' '.$arrSort[$arrSettings['secondsortdesc']].',';
	}

	if (!empty($arrSettings['thirdsortfield'])) {
	   $sqlSort .= $arrSettings['thirdsortfield'].' '.$arrSort[$arrSettings['thirdsortdesc']].',';
	}

	//Kick last comma
	$sqlSort = substr($sqlSort, 0, strlen($sqlSort)-1);

	//If no Sortfield defined, use basedatefield
  if (strlen($sqlSort)==0){
    $sqlSort = $arrSettings['basedatefield']. ' DESC ';
    //Set groupfield
    $grpField = $arrSettings['basedatefield'];
	}

 	//If 'rubric selection' is activated...
	if ($arrSettings['rubriclimit']==1) {
	   $arrChosenRubrics = unserialize($arrSettings['rubriclist']);

	   //... generate sql-string for rubrics       
	   $sqlRubrics = NULL;
	   if (is_array($arrChosenRubrics)) {
	   	  $sqlRubrics = getRubricSQL($arrChosenRubrics,$arrSettings['rubricexclude']);
	   }
 	}

	//If 'only use public rubrics' is activated, hide all non-public
	if ($arrSettings['useseclevel']==1) {
	   //... and only seclevel 0
	   $sqlSecLevel = 'seclevel = 0 AND';
	}

	//Template limit
	if ($arrSettings['templatelimit']!=0) {
	   //... and only template x
	   $sqlTemplate = 'templates_id = '.$arrSettings['templatelimit'].' AND';
	}

	//Pager: set starting article if not defined already
	if ((!isset($_GET['pos'])) || ($_GET['pos']<0)) {
	   $_GET['pos'] = $arrSettings['startposition'];
	}

  switch ($arrSettings['limittodate']) {
      case 0:
        //Verhltnis $pos_limit zu $arrSettings['articlespersite'] auswerten
        if ($arrSettings['poslimit']<$arrSettings['articlespersite']) {
		 	    $arrSettings['articlespersite'] = $arrSettings['poslimit'];
		    }
        //By articles
        $query_count_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
            ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
            .$arrSettings['basedatefield']." < '".$dateToday."' "
            ."AND verfallsdatum > '".$dateToday."' "
            ."LIMIT ".$arrSettings['startposition'].",".$arrSettings['poslimit'].";";
                                                   
        $db_count_news = new DB;
        $db_count_news->query($query_count_news);
        $numberOfNews = $db_count_news->num_rows();
		       
		    //Random-Mode
		    if ($arrSettings['randommode']==1) {
		 	    $_GET['pos'] = rand($arrSettings['startposition'], $numberOfNews-1);
		    }
		        
		    //Verhltnis $pos_limit zu $arrSettings['articlespersite'] auswerten
        $query_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
		 			  .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
					  ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
		 			  .$arrSettings['basedatefield']." < '".$dateToday."' "
		 			  ."AND verfallsdatum > '".$dateToday."' "
		 			  ."ORDER BY ".$sqlSort." "
		 			  ."LIMIT ".$_GET['pos'].",".$arrSettings['articlespersite'].";";
      break;
      case 1:
        //By days
		    $datelimit = getDateLimit($actDateTime,$arrSettings['poslimit'],$arrSettings['datetosecond']);
		 
        $query_count_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
            ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
            .$arrSettings['basedatefield']." "
            ."BETWEEN '".$datelimit."' AND '".$dateToday."' "
            ."AND verfallsdatum > '".$dateToday."';";

        $db_count_news = new DB;
        $db_count_news->query($query_count_news);
        $numberOfNews = $db_count_news->num_rows();

        //Random-Mode
		    if ($arrSettings['randommode']==1) {
          $_GET['pos'] = rand($arrSettings['startposition'], $numberOfNews-1);
		    }

        $query_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
					  ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
		 			  .$arrSettings['basedatefield']." "
            ."BETWEEN '".$datelimit."' AND '".$dateToday."' "
		 			  ."AND verfallsdatum > '".$dateToday."' "
            ."ORDER BY ".$sqlSort." "
		 			  ."LIMIT ".$_GET['pos'].",".$arrSettings['articlespersite'].";";
      break;
	}

	//Dev mode
	if ($arrSettings['devmode']) {
    echo '<p style="color: red;"><strong>'.$query_news.'</strong></p>';
    $CPODEBUG = DEBUG_COUNT_QUERIES | DEBUG_LOG_QUERIES | DEBUG_RUNNING_TIME;
	}

	$db_news = new DB;
  $db_news->query($query_news);

  if ($numberOfNews>0) {
    $showinthirdformat = ($arrSettings['showinfirstformat'] + $arrSettings['showinsecondformat']);
    $newsCounter = 0;
    switch ($arrSettings['displaycolumns']) {
        case 0:
  		  	//Tablefree
          $articleSeparator = '';
          switch ($arrSettings['grouping']) {
              case 1:
                //Grouping
                require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/group.inc.php');
              break;
              default:
                //Non-grouping
                while ($db_news->next_record()) {
                  $newsCounter++;
                  //Article sperator
                  echo $articleSeparator;
                  //Display content
                  require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/set_template.inc.php');
                  require(CPO_BASEDIR.'_include/select_template.php');
                  //Set article sperator
                  $articleSeparator = $arrSettings['articleseparator'];
                }
              break;
          }
		    break;
        case 1:
		  	   //Table
 	   		   require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/table.inc.php');
		    break;
    }

    //Navigationsposition
    $arrNavPos = array();
 	$arrNavPos[0] = 'left';
    $arrNavPos[1] = 'center';
    $arrNavPos[2] = 'right';

    //Pager
    if ($pagetype=='index' && $arrSettings['displaypager']==1) {
      echo '<div align="'.$arrNavPos[$arrSettings['pagerposition']].'">';
      $tl['Found:']         = $arrSettings['pagerfound'];
      $tl['Results:']       = $arrSettings['pagerresults'];
      $tl['previous page']  = $arrSettings['pagerprevious'];
      $tl['next page']      = $arrSettings['pagernext'];

      next_page($_GET['pos'], $numberOfNews, $arrSettings['articlespersite'], $arrSettings['pagershowresults'], 'profid='.$db_settings->v('profile_id').$getRubric, '', $tl);
      echo '</div>';
    }
    } else {
      //No content
      echo '<p>'.$arrSettings['noarticles'].'</p>';
	}			

	//Dev mode
	if ($arrSettings['devmode']) {
    echo '<p style="color: red;"><strong>';
    include(CPO_BASEDIR.'_include/debug.php');
    echo '</strong></p>';
	}

?>
