<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/



	if (!defined('CPO')) {
	   exit;
	}

	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_classes/class_rss.php');

	//Prepare profiletitle for filename
	if ($arrProfileSettings['profiletitle']!='') {
       $fileNameProfTitel = str_replace(" ","_",$arrProfileSettings['profiletitle'].'.xml');
	}

	//Write file
    $fileRSS = new filedir();
	$fileRSS->setFilename('rss_feed.xml', 
 						 $fileNameProfTitel,
 						 $arrProfileSettings['feedfilename']); 
	$fileRSS->setDirectory($arrProfileSettings['feeddirectory'],
						  $activeModules['Latest News']['directory']); 
	$FullFilePath = $fileRSS->getFullFilePath();

	if ( file_exists($FullFilePath)	&& time()-filemtime($FullFilePath)<($arrProfileSettings['feedTTL']*60*60) ) return; // younger than x hours

	//Image	RSS-feed
	if ($arrProfileSettings['feedimage']!=0) {
	   $query_feedimage = "SELECT * FROM ".CPO_DATA." WHERE "
	   				 	 ."id = ".$arrProfileSettings['feedimage'].";";
    
	   $db_feedimage = new DB;
	   $db_feedimage->query($query_feedimage);

	   if ($db_feedimage->num_rows()>0) {
	   	  $db_feedimage->next_record(); 

		  $arrImageSize = getimagesize(CPO_BASEDIR.'_data/'.$db_feedimage->v('datei'));
		  
		  //Max. width is 144!
		  if ($arrImageSize[0]>144) {
		  	 $arrImageSize[0] = 144;		  
		  	 }

		  //Max. height is 400!
		  if ($arrImageSize[1]>400) {
		  	 $arrImageSize[1] = 400;		  
		  	 }
		  
		  $imgPath 		= BASE_ABS.'_data/'.$db_feedimage->v('datei');
		  $imgWidth 	= $arrImageSize[0];
		  $imgHeight 	= $arrImageSize[1];

		  //Alt-Text
		  if ($db_feedimage->v('alttext')=='') {
		  	 $imgTitle 	= $db_feedimage->v('datei');
	   	  	 } else {
		  	   $imgTitle 	= $db_feedimage->v('alttext');
			   }
	   }
	}

	//Header RSS-feed
	$cpoFeed = new rss;

	//required elements
	$cpoFeed->openRss();
	$cpoFeed->setTitle($arrProfileSettings['feedtitle']);
	$cpoFeed->setLink($arrProfileSettings['feedwebsiteurl']);
	$cpoFeed->setDescription($arrProfileSettings['feeddescription']);

	//optional elements
	$cpoFeed->setLanguage($arrProfileSettings['feedlanguage']);
	$cpoFeed->setCopyright($arrProfileSettings['feedcopyright']);
	$cpoFeed->setEditor($arrProfileSettings['feedmaileditor']);
	$cpoFeed->setWebmaster($arrProfileSettings['feedmailwebmaster']);
	$cpoFeed->setPubDate();
	$cpoFeed->setBuildDate();
	/*category*/
	$cpoFeed->setGenerator($arrProfileSettings['feedgenerator']);
	$cpoFeed->setDocs($arrProfileSettings['feeddocs']);
	/*cloud*/
	/*ttl*/
	$cpoFeed->setImage($imgPath,$imgTitle,$arrProfileSettings['feedwebsiteurl'],$imgWidth,$imgHeight);
	/*rating*/
	/*textInput*/
	/*skipHours*/
	/*skipDays*/

	//Content RSS-feed
 	if ($numberOfNews!=0) {
	   //Read news
	   $db_rssnews = new DB;
	   $db_rssnews->query($query_news);

	   ob_start();

	   while($db_rssnews->next_record()) {
			$db_template      = $arrProfileSettings['feedtemplate'];
 		   	$db_rubric_id 	  = $db_rssnews->v('rubric_id');
		   	$db_nr            = $db_rssnews->v('nr');
    	   	$db_idx           = $db_rssnews->v('idx');
    	   	$db_email         = $db_rssnews->v('email');
    	   	$db_autor         = $db_rssnews->v('autor');
    	   	$db_changer       = $db_rssnews->v('changer');
    	   	$db_pub_datum     = $db_rssnews->v('pub_datum');
    	   	$db_verfallsdatum = $db_rssnews->v('verfallsdatum');
    	   	$db_commentary    = $db_rssnews->v('commentary');
    	   	$db_titel         = $db_rssnews->v('titel');
    	   	$db_initial       = $db_rssnews->v('initial');
    	   	$db_freigabe      = $db_rssnews->v('freigabe');
			
			require(CPO_BASEDIR.'_include/select_template.php');
	   }

	   $newsData = ob_get_contents();
	   ob_end_clean();
	   
	   //Delete session-id(s)
	   $newsData = preg_replace("/".SID."/",'' , $newsData);

	   //Convert characters > 126
	   if ($arrProfileSettings['feedcharconversion']==1) {
		  $newsData = getConvertChars($newsData);
	   } 

   	   //Set data
  	   $cpoFeed->setData($newsData);

	} else {
	  //No data
  	  $cpoFeed->setNoData($arrProfileSettings['feedwebsiteurl'],$arrProfileSettings['feedwebsiteurl']);
	}
  
  	//Footer RSS-feed
  	$cpoFeed->closeRss();

	$fileRSS->setContent($cpoFeed->getRssFeed(),
						$arrProfileSettings['nonews']); 

	$arrWriteResults = $fileRSS->writeFile(); 
	
	//There where errors!
  	if ($arrWriteResults[0]!=1) {
	   echo $arrWriteResults[1];
  	   } else {
	   	 if ($arrProfileSettings['devmode']==1) {
   	   	 	echo "<p style=\"color: red;\">The RSS-Feed <em>".$fileRSS->getFullFilePath()."</em> was successfully created!</p>" ;
		 }
	}

    unset($fileRSS);
  	unset($cpoFeed);  
  
?>
