<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  if (!defined('CPO')) {
      exit;
  }

  require($modulePath.'/_classes/class_setup.php');
  require($modulePath.'/_setup/module_framework.inc.php');

  //Valid framework?
  if (!defined('MOD_SETUP')){
      exit;
  }

  //$setup_action
  if ($setup_action=='') {
      $arrMessage[] = __('$action-directive not found!');
      } else {
      //DB-Object for both actions
      $db = new DB;

      //Modul-Installation
      switch ($setup_action) {
          case 'install':
            #--- TEMPLATES ---#
            if (is_array($setupTemplates)&& sizeof($setupTemplates)!=0) {
              //Setup-Object (set to table prefix_templates)
              $tplSetup = new setup(CPO_TEMPLATES);

              foreach($setupTemplates as $keyTpl=>$valTpl) {
                //Write template
  		          $tplSetup->writeTemplate($keyTpl,
                                        $valTpl['tpl_first'],
                                        $valTpl['tpl_detail'],
                                        $valTpl['tpl_javascript'],
                                        $valTpl['c_time'],
                                        $valTpl['changer']);
                //Get template-id
                $tplID[$keyTpl] = $tplSetup->getTemplateID($keyTpl,$valTpl['c_time']);

                #--- PLACEHOLDERS ---#
                if (is_array($valTpl['placeholder'])&& sizeof($valTpl['placeholder'])!=0) {
                  //Setup-Object (set to table prefix_placeholders)
                  $pchSetup = new setup(CPO_PLACEHOLDERS);

  		            //Write placeholders
                  foreach($valTpl['placeholder'] as $keyPch=>$valPch) {
  		              $pchSetup->writePlaceholder($tplID[$keyTpl],
                                                $valPch['ttype'],
                                                $valPch['fieldname'],
                                                $keyPch,
                                                $valPch['ddata']);
                  }

                //Destroy setup-object
  		          unset($pchSetup);
                }
                //Message
                $arrMessage[] = sprintf(___('Template %s has been successful created.'), '<em>'.$keyTpl.'</em>');
              }
              //Destroy setup-object
		          unset($tplSetup);
            //End If
            }

            #--- TABLES ---#
            foreach($setupTables as $keyTbl=>$valSql) {
              //Setup-Object
		          $tblSetup = new setup($keyTbl);
              //Table exist before?
		          $tblSetup->setTblStatusBefore($db->table_exists($keyTbl));
              //Create table
              $db->query($valSql['create_sql']);
              //Table exist after sql-create?
              $tblSetup->setTblStatusAfter($db->table_exists($keyTbl));

              //Table-Message
              $arrMessage[] = __($tblSetup->getSetupStatus());

              //Write settings
              if (is_array($valSql['settings_sql'])&& sizeof($valSql['settings_sql'])!=0) {
                  //settings already exists?
                  $query_read_settings = "SELECT COUNT(*) FROM ".$keyTbl.";";
                  $db->query($query_read_settings);
                  $db->next_record();
                  $settings_results = $db->v("COUNT(*)");

                  //Insert settings
                  if ($settings_results==0) {
                    //Prepare template-id's
                    foreach($tplID as $keyTpl=>$valTpldID){
                      //Search for ...
                      $arrSearch[] = 's:'.strlen('###'.$keyTpl.'###').':"###'.$keyTpl.'###"';
                      //Replace with ...
                      $arrReplace[] = 's:'.strlen($valTpldID).':"'.$valTpldID.'"';
                    }

                    foreach($valSql['settings_sql'] as $keySet=>$valSet) {
                      //Set template-id's
                      $valSet = str_replace($arrSearch,$arrReplace,$valSet);
                      $db->query($valSet);
                    }
                    //Settings-Message
                    $arrMessage[] = sprintf(___('The settings for the module %s %s have been written into the table %s.'),
                      '<em>'.$setup_moduletitle.'</em>', '<em>'.$setup_moduleversion.'</em>','<em>'.htmlspecialchars($keyTbl, ENT_COMPAT, 'ISO-8859-15').'</em>');
                    } else {
                      //Settings exists-Message
                      $arrMessage[] = sprintf(___('The settings for the module %s %s were already present in the table %s.'),
		 			              '<em>'.$setup_moduletitle.'</em>', '<em>'.$setup_moduleversion.'</em>','<em>'.htmlspecialchars($keyTbl, ENT_COMPAT, 'ISO-8859-15').'</em>');
 	                }
                }
              //Destroy setup-object
              unset($tblSetup);
          }
	  	    break;
		      //Uninstall modul
		      case 'uninstall':
            //Tables
            foreach($setupTables as $keyTbl=>$valFubar) {
              //Delete-Object
              $tblDelete = new setup($keyTbl);
              //Delete-Message
              $arrMessage[] = $tblDelete->deleteTable();
              //Destroy Delete-Object
              unset($tblDelete);
            }
 	 	      break;
		      //"Magic Error"
		      default:
            //Error-Message
		        $arrMessage[] = '<strong>'.__('Exception error!').'</strong>';
		      break;
      }//Big switch end
  }
?>
