<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  if (!defined('CPO')) {
  	 exit;
  }

  if (defined('MOD_LATEST_NEWS')) {
  	 return;
  }

	if (!function_exists('tocLatestNewsHelp')) {
		function tocLatestNewsHelp($topic,$module)  {
			return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
		}
	}
	if (!function_exists('log_latest_news'))  {
		function log_latest_news()  {
			global $cpoSystem;
			@mail('kontakt@conpresso4.de','Das Modul Latest News 4.1b wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
		}
	}
	if (!function_exists('getLatestNewsLicense'))  {
        function getLatestNewsLicense()  {
            global $activeModules, $message;
              //auslesen
              $query_mod_system = "SELECT * FROM ".CPO_OPTION." "
                                 ."WHERE type = 'system_latest_news';";

              $db_mod_system = new DB;
              $db_mod_system->query($query_mod_system);
              $db_mod_system->next_record();
              $arrOptions = unserialize($db_mod_system->v('options'));
              $cpoSystemLatestNews = $arrOptions;

            if (license($cpoSystemLatestNews['installed'],8) !== false) {
                $message['license'] = '<strong>Invalid License!</strong>';
                return false;
            }
            if (	license($cpoSystemLatestNews['lkey'],8) != 1 &&
                    license($cpoSystemLatestNews['lkey'],8) != 2 &&
                    license($cpoSystemLatestNews['lkey'],8) != 3 &&
                    $cpoSystemLatestNews['installed']<(time()-90*24*60*60) && 
                    !isset($_POST['go']) &&
                    @file_exists(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/module_info.inc.php')
                ) 
                {
                include(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/module_info.inc.php');
                $message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
                    htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong>';
                return false;
            } else {
                return true;
            }
        }
    }

  define('MOD_LATEST_NEWS',TRUE);

  //Modul titel & version
  define('MOD_LATEST_NEWS_TITEL', 'Latest News');
  define('MOD_LATEST_NEWS_VERSION', '4.1b');

  //Define table
  define('TBL_LATEST_NEWS', $GLOBALS['dbPrefix'].'_mod_latest_news');

  //Language
  $GLOBALS['translator']->addTranslation($_SESSION['SID_user']['language'],CPO_BASEDIR.$moduleDirectory.'/lang/');

  //Navigation
  $moduleNav = array();

  //Create profiles
  $moduleNav[] = array('caption'=>__('create profiles'),
    'title'=>__('create profiles'),
    'url'=>'../'.$moduleDirectory.'/settings.php?action=profiles_create');

  //Display profiles
  $moduleNav[] = array('caption'=>__('work on profiles'),
    'title'=>__('work on profiles'),
    'url'=>'../'.$moduleDirectory.'/profiles.php');

  $GLOBALS['modules']['Latest News'] = array(
    'directory'=>$moduleDirectory,
    'install'=>'function: Latest_News_setup install',
    'activate'=>'function: Latest_News_setup activate',
    'deactivate'=>'function: Latest_News_setup deactivate',
    'uninstall'=>'function: Latest_News_setup uninstall',
    'manage'=>'function: Latest_News_setup manage',
	//Help ***********************************+
	'helptoc' => array(
        'bersicht' 
			=> tocLatestNewsHelp('index','latest_news'),
        '1. Eigenschaften' 
			=> tocLatestNewsHelp('features','latest_news'),
        '2. Installation' 
			=> tocLatestNewsHelp('setup','latest_news'),
        '3. Einstellungen' 
			=> tocLatestNewsHelp('settings','latest_news'),
        '3. Anwendung' 
			=> tocLatestNewsHelp('application','latest_news')
	),
    'navigation'=>$moduleNav
	 );

  //Menu
  if ($_SESSION['SID_user']['admin']==ROLE_ADMIN) {
  	 $hdlr_navigation[] = 'function: Latest_News_setup navigation';
  }

  function Latest_News_setup($moduleAction) {
    global $CPO;

    //Module directory
    $moduleDir = $GLOBALS['modules']['Latest News']['directory'];

    //Module path
    $modulePath = CPO_BASEDIR.$moduleDir;

    //Update navigation
    $show_modnav  = '<script type="text/javascript">';
    $show_modnav .= 'parent.cpo_navigation.location.href="../_admin/frame_navigation.php";';
    $show_modnav .= '</script>';

    switch ($moduleAction) {
      case 'install':
        //Install Module
        $setup_action = 'install';
        include($modulePath.'/_setup/setup.php');
		log_latest_news;

        //Message
        $GLOBALS['message'] = $arrMessage;
      break;
      case 'activate':
        //Message
        $GLOBALS['message'][] = sprintf(___('The Modul %s %s got activated.'),
    		  '<em>'.MOD_LATEST_NEWS_TITEL.'</em>', '<em>'.MOD_LATEST_NEWS_VERSION.'</em>').$show_modnav;
      break;
      case 'deactivate':
        //Message
        $GLOBALS['message'][] = sprintf(__('The Modul %s %s got deactivated.'),
		   	  '<em>'.MOD_LATEST_NEWS_TITEL.'</em>', '<em>'.MOD_LATEST_NEWS_VERSION.'</em>').$show_modnav;
      break;
      case 'manage':
      break;
      case 'uninstall':
        //Uninstall Module
        $setup_action = 'uninstall';
        include($modulePath.'/_setup/setup.php');

        //Message
        $GLOBALS['message'] = $arrMessage;
      break;
      case 'navigation':
        //Display left navigation
        foreach ($GLOBALS['modules']['Latest News']['navigation'] as $arrNavigation) {
          $GLOBALS['navigation']['Latest News'][] = $arrNavigation;
        }
      break;
    }
  }

// the CPO4.1 PageTemplate-Functions + direct include functions
function cpoPageLatestNews($profid)    { 
	global $content, $db_autor, $db_changer, $db_content, $db_email,
		$db_idx, $db_initial, $db_last_modify, $db_nr, $db_pub_datum,
		$db_rubric_id, $db_template, $db_titel, $db_verfallsdatum,
		$fetchedcontent, $hdlr_parser_content, $hdlr_parser_replacement,
		$key, $_name, $parameters, $placeholder, $placeholders_cache,
		$replacement, $_type, $typeNames, $cpoSystem, $tl, $activeModules, $cpoRubric;
	ob_start();
	$_GET['profid'] = $profid;
	$savePageype = $pagetype;
	$pagetype = 'php';
	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/index.inc.php');
	$pagetype = $savePageype;
	$showNews = ob_get_clean();
	return $showNews;

}
function LatestNews($profid) { echo cpoPageLatestNews($profid); }


function cpoPageMakefile($profid)    { 
	global $content, $db_autor, $db_changer, $db_content, $db_email,
		$db_idx, $db_initial, $db_last_modify, $db_nr, $db_pub_datum,
		$db_rubric_id, $db_template, $db_titel, $db_verfallsdatum,
		$fetchedcontent, $hdlr_parser_content, $hdlr_parser_replacement,
		$key, $_name, $parameters, $placeholder, $placeholders_cache,
		$replacement, $_type, $typeNames, $cpoSystem, $tl, $activeModules, $cpoRubric;
	ob_start();
	$_GET['profid'] = $profid;
	$savePageype = $pagetype;
	$pagetype = 'php';
	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/makefile.php');
	$pagetype = $savePageype;
	$showNews = ob_get_clean();
	return $showNews;

}
function Makefile($profid) { echo cpoPageMakefile($profid); }

function cpoPageNewsticker($tickerid)    { 
	global $content, $db_autor, $db_changer, $db_content, $db_email,
		$db_idx, $db_initial, $db_last_modify, $db_nr, $db_pub_datum,
		$db_rubric_id, $db_template, $db_titel, $db_verfallsdatum,
		$fetchedcontent, $hdlr_parser_content, $hdlr_parser_replacement,
		$key, $_name, $parameters, $placeholder, $placeholders_cache,
		$replacement, $_type, $typeNames, $cpoSystem, $tl, $activeModules, $cpoRubric;
	ob_start();
	$_GET['tickerid'] = $tickerid;
	$savePageype = $pagetype;
	$pagetype = 'index';
	require(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/newsticker.php');
	$pagetype = $savePageype;
	$showNews = ob_get_clean();
	return $showNews;

}
function Newsticker($tickerid) { echo cpoPageNewsticker($tickerid); }



?>
