<?php
/*
+------------------------------------------------------------------------+
| Latest News 4.1b for ConPresso - Foolproof Content Management          |
+------------------------------------------------------------------------+
| Copyright (c) Seventy-Soft|IT-Services, 33335 Guetersloh,    Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: Seventy-Soft|IT-Services <info@seventy-soft.de>               |
+------------------------------------------------------------------------+
author: arthur spooner

+------------------------------------------------------------------------+
| Version 4.1b // July 2013                                              |
| modified by m.roesel www.conpresso4.de for CPO 4.1.x and PHP 5.4       |
+------------------------------------------------------------------------+

*/


  define('CPO', true);

  require_once('../_include/common.inc.php');

  $pagetype = 'php';
	require_once(CPO_BASEDIR.'_include/var_category.php');
  //Active this for secure?
	#require(CPO_BASEDIR.'_include/secure.php');
	require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/function.inc.php');
 	require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_classes/class_filedir.php');

  //Clean all incoming data
  $_GET['profid'] = clean_values($_GET['profid']);
  $_GET['pos'] = clean_values($_GET['pos']);

	//Define sql-where
	if (isset($_GET['profid'])) {
	   $sqlWhere = 'profile_id='.$_GET['profid'];
	   } else {
	   	 $sqlWhere = "profile_base='yes'";
 	}

	//Read profile
  $query_settings = "SELECT profile_id,settings FROM ".TBL_LATEST_NEWS." "
    ."WHERE ".$sqlWhere.";";

	$db_settings = new DB;
  $db_settings->query($query_settings);

 	//Read profile with the highest id
	if ($db_settings->num_rows()==0) {
    $query_settings = "SELECT profile_id, settings FROM ".TBL_LATEST_NEWS." "
      ."ORDER BY profile_id DESC;";
    $db_settings->query($query_settings);
	}

	//There were no settings...!
  if ($db_settings->num_rows()==0) {
    exit;
	}

	//Read settings
	$db_settings->next_record();
	$arrProfileSettings = unserialize($db_settings->v('settings'));

	//Actual date
	$actDateTime = time();
	$dateToday = date('Y-m-d H:i:s', $actDateTime);

	$arrSort[0] = 'ASC';
	$arrSort[1] = 'DESC';

	$sqlSort = NULL;

  if (!empty($arrProfileSettings['firstsortfield'])) {
    $sqlSort .= $arrProfileSettings['firstsortfield'].' '.$arrSort[$arrProfileSettings['firstsortdesc']].',';
    //Set groupfield
    $grpField = $arrProfileSettings['firstsortfield'];
	}

	if (!empty($arrProfileSettings['secondsortfield'])) {
	   $sqlSort .= $arrProfileSettings['secondsortfield'].' '.$arrSort[$arrProfileSettings['secondsortdesc']].',';
	}

	if (!empty($arrProfileSettings['thirdsortfield'])) {
	   $sqlSort .= $arrProfileSettings['thirdsortfield'].' '.$arrSort[$arrProfileSettings['thirdsortdesc']].',';
	}

	//Kick last comma
	$sqlSort = substr($sqlSort, 0, strlen($sqlSort)-1);

	//If no Sortfield defined, use basedatefield
  if (strlen($sqlSort)==0){
    $sqlSort = $arrProfileSettings['basedatefield']. ' DESC ';
    //Set groupfield
    $grpField = $arrProfileSettings['basedatefield'];
	}

 	//If 'rubric selection' is activated...
	if ($arrProfileSettings['rubriclimit']==1) {
	   $arrChosenRubrics = unserialize($arrProfileSettings['rubriclist']);

	   //... generate sql-string for rubrics
	   $sqlRubrics = NULL;
	   if (is_array($arrChosenRubrics)) {
	   	  $sqlRubrics = getRubricSQL($arrChosenRubrics,$arrProfileSettings['rubricexclude']);
	   }
 	}

	//If 'only use public rubrics' is activated, hide all non-public
	if ($arrProfileSettings['useseclevel']==1) {
	   //... and only seclevel 0
	   $sqlSecLevel = 'seclevel = 0 AND';
	}

	//Template limit
	if ($arrProfileSettings['templatelimit']!=0) {
	   //... and only template x
	   $sqlTemplate = 'templates_id = '.$arrProfileSettings['templatelimit'].' AND';
	}

	//Pager: set starting article if not defined already
	if ((!isset($_GET['pos'])) || ($_GET['pos']<0)) {
	   $_GET['pos'] = $arrProfileSettings['startposition'];
	}

  switch ($arrProfileSettings['limittodate']) {
      case 0:
        //Verhltnis $pos_limit zu $arrProfileSettings['articlespersite'] auswerten
        if ($arrProfileSettings['poslimit']<$arrProfileSettings['articlespersite']) {
		 	    $arrProfileSettings['articlespersite'] = $arrProfileSettings['poslimit'];
		    }
        //By articles
        $query_count_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
            ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
            .$arrProfileSettings['basedatefield']." < '".$dateToday."' "
            ."AND verfallsdatum > '".$dateToday."' "
            ."LIMIT ".$arrProfileSettings['startposition'].",".$arrProfileSettings['poslimit'].";";

        $db_count_news = new DB;
        $db_count_news->query($query_count_news);
        $numberOfNews = $db_count_news->num_rows();

		    //Random-Mode
		    if ($arrProfileSettings['randommode']==1) {
		 	    $_GET['pos'] = rand($arrProfileSettings['startposition'], $numberOfNews-1);
		    }

		    //Verhltnis $pos_limit zu $arrProfileSettings['articlespersite'] auswerten
        $query_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
		 			  .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
					  ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
		 			  .$arrProfileSettings['basedatefield']." < '".$dateToday."' "
		 			  ."AND verfallsdatum > '".$dateToday."' "
		 			  ."ORDER BY ".$sqlSort." "
		 			  ."LIMIT ".$_GET['pos'].",".$arrProfileSettings['articlespersite'].";";
      break;
      case 1:
        //By days
		    $datelimit = getDateLimit($actDateTime,$arrProfileSettings['poslimit'],$arrProfileSettings['datetosecond']);

        $query_count_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
            ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
            .$arrProfileSettings['basedatefield']." "
            ."BETWEEN '".$datelimit."' AND '".$dateToday."' "
            ."AND verfallsdatum > '".$dateToday."';";

        $db_count_news = new DB;
        $db_count_news->query($query_count_news);
        $numberOfNews = $db_count_news->num_rows();

        //Random-Mode
		    if ($arrProfileSettings['randommode']==1) {
          $_GET['pos'] = rand($arrProfileSettings['startposition'], $numberOfNews-1);
		    }

        $query_news = "SELECT STRAIGHT_JOIN T_NEWS.*, "
            ."T_RUBRIC.id, T_RUBRIC.directory, T_RUBRIC.name, T_RUBRIC.seclevel "
            ."FROM ".CPO_NEWS." AS T_NEWS, ".CPO_RUBRIC." AS T_RUBRIC "
            ."WHERE T_NEWS.rubric_id = T_RUBRIC.id AND "
            .$sqlSecLevel." ".$sqlRubrics." ".$sqlTemplate." "
					  ."artikel_archiv < 2 AND freigabe=".STATE_RELEASED." AND "
		 			  .$arrProfileSettings['basedatefield']." "
            ."BETWEEN '".$datelimit."' AND '".$dateToday."' "
		 			  ."AND verfallsdatum > '".$dateToday."' "
            ."ORDER BY ".$sqlSort." "
		 			  ."LIMIT ".$_GET['pos'].",".$arrProfileSettings['articlespersite'].";";
      break;
	}

	#----- Generate activated files -----

	//If 'profile as news ticker' is activated...
	if ($arrProfileSettings['useasticker']==1) {
	   	 require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/makefile_ticker.inc.php');
 	   } else {
	   	 if ($arrProfileSettings['devmode']==1) {
   	        echo "<p style=\"color: red;\">The Newsticker function for the profile <em>".$arrProfileSettings['profiletitle']."</em> is not enabled!</p>" ;
		 }
  	}

	//If 'profile as rss-feed' is activated...
	if ($arrProfileSettings['useasrss']==1) {
	   	 require_once(CPO_BASEDIR.$activeModules['Latest News']['directory'].'/_includes/makefile_rss.inc.php');
 	   } else {
	   	 if ($arrProfileSettings['devmode']==1) {
   	        echo "<p style=\"color: red;\">The RSS-feed function for the profile <em>".$arrProfileSettings['profiletitle']."</em> is not enabled!</p>" ;
		 }
  	}

?>
